Gentoo Archives: gentoo-commits

From: "Michal Gorny (mgorny)" <mgorny@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in x11-libs/libpciaccess: libpciaccess-0.13.2.ebuild ChangeLog
Date: Wed, 30 Apr 2014 18:30:18
Message-Id: 20140430183013.A498E2004B@flycatcher.gentoo.org
mgorny      14/04/30 18:30:13

  Modified:             libpciaccess-0.13.2.ebuild ChangeLog
  Log:
  Use multilib_src_install().
  
  (Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key EFB4464E!)

Revision  Changes    Path
1.12                 x11-libs/libpciaccess/libpciaccess-0.13.2.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-libs/libpciaccess/libpciaccess-0.13.2.ebuild?rev=1.12&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-libs/libpciaccess/libpciaccess-0.13.2.ebuild?rev=1.12&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-libs/libpciaccess/libpciaccess-0.13.2.ebuild?r1=1.11&r2=1.12

Index: libpciaccess-0.13.2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/x11-libs/libpciaccess/libpciaccess-0.13.2.ebuild,v
retrieving revision 1.11
retrieving revision 1.12
diff -u -r1.11 -r1.12
--- libpciaccess-0.13.2.ebuild	8 Oct 2013 05:07:22 -0000	1.11
+++ libpciaccess-0.13.2.ebuild	30 Apr 2014 18:30:13 -0000	1.12
@@ -1,6 +1,6 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/libpciaccess/libpciaccess-0.13.2.ebuild,v 1.11 2013/10/08 05:07:22 ago Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/libpciaccess/libpciaccess-0.13.2.ebuild,v 1.12 2014/04/30 18:30:13 mgorny Exp $
 
 EAPI=5
 
@@ -25,15 +25,11 @@
 	)
 }
 
-src_install() {
-	xorg-2_src_install
-
-	if ! use minimal; then
-		scanpci_install() {
-			${BASH} "${BUILD_DIR}/libtool" --mode=install "$(type -P install)" -c "${BUILD_DIR}/scanpci/scanpci" "${ED}"/usr/bin || die
-		}
+multilib_src_install() {
+	default
 
+	if multilib_is_native_abi; then
 		dodir /usr/bin
-		multilib_foreach_abi scanpci_install
+		${BASH} "${BUILD_DIR}/libtool" --mode=install "$(type -P install)" -c scanpci/scanpci "${ED}"/usr/bin || die
 	fi
 }



1.99                 x11-libs/libpciaccess/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-libs/libpciaccess/ChangeLog?rev=1.99&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-libs/libpciaccess/ChangeLog?rev=1.99&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-libs/libpciaccess/ChangeLog?r1=1.98&r2=1.99

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/x11-libs/libpciaccess/ChangeLog,v
retrieving revision 1.98
retrieving revision 1.99
diff -u -r1.98 -r1.99
--- ChangeLog	8 Oct 2013 05:07:22 -0000	1.98
+++ ChangeLog	30 Apr 2014 18:30:13 -0000	1.99
@@ -1,6 +1,9 @@
 # ChangeLog for x11-libs/libpciaccess
-# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/libpciaccess/ChangeLog,v 1.98 2013/10/08 05:07:22 ago Exp $
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/libpciaccess/ChangeLog,v 1.99 2014/04/30 18:30:13 mgorny Exp $
+
+  30 Apr 2014; Michał Górny <mgorny@g.o> libpciaccess-0.13.2.ebuild:
+  Use multilib_src_install().
 
   08 Oct 2013; Agostino Sarubbo <ago@g.o> libpciaccess-0.13.2.ebuild:
   Stable for x86, wrt bug #475480